{
  "type": "minecraft:crafting_shaped",
  "pattern": [
    " R ",
    "DSD",
    "PPP"
  ],
  "key": {
    "S": {
      "item": "rftoolsbase:machine_frame"
    },
    "R": {
      "item": "minecraft:redstone_torch"
    },
    "D": {
      "item": "botania:mana_diamond"
    },
    "P": {
      "item": "immersiveengineering:slab_blastbrick_reinforced"
    }
  },
  "result": {
    "item": "compactcrafting:base",
    "count": 1
  }
}